%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
%define perlname esmith-PasswordTools
Summary: Perl esmith::PasswordTools module
Name: perl-%{perlname}
Version: 0.02
Release: 2%{?dist}
License: Artistic, GPL
Group: System Environment/Libraries
Source: esmith-PasswordTools-0.02.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: smeserver-release >= 7
URL: http://geodsoft.com/howto/password/
BuildPrereq: perl


%description
Generates easily pronounceable and easy to remember passwords that pass the SME server password strength check.

SYNOPSIS
use esmith::PasswordTools;
$siz=8; $addConsonants='yes', $firstUpper='yes'; $mixedCase='no'; $symbolOdds=10, $symbols='';
$pw = esmith::PasswordTools::generate_password( $siz, $addConsonants, $firstUpper, $mixedCase, $symbolOdds, $symbols );
$pw = esmith::PasswordTools::sme_generate_password( $siz, $addConsonants, $mixedCase );

%changelog
* Sat Mar 01 2008 Michael Weinberger <mweinber@neddix.de> 0.02-2
 fix spec file

%prep
%setup -n %{perlname}-%{version}


%build
%{__perl} Makefile.PL </dev/null
%{__sed} -e 's:^\(INSTALL[A-Z0-9_]*\(BIN\|ARCH\|SCRIPT\|LIB\|MAN[1-9]DIR\)\) = :\1 = '"$RPM_BUILD_ROOT"':' Makefile >Makefile2
%{__cat} Makefile2 >Makefile
%{__make}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} install INSTALLDIRS=vendor
%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
%{__rm} -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/esmith/PasswordTools/.packlist


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)

%dir %{_libdir}/perl5/5.8.5
%{perl_vendorlib}/esmith/PasswordTools.pm
%dir %{perl_vendorlib}/esmith
%{perl_vendorlib}/auto/esmith/PasswordTools/autosplit.ix
%{perl_vendorlib}/auto/esmith/PasswordTools/sme_generate_password.al
%{perl_vendorlib}/auto/esmith/PasswordTools/generate_password.al
%{perl_vendorlib}/auto/esmith/PasswordTools/validate_password.al
%dir %{perl_vendorlib}/auto/esmith/PasswordTools
%dir %{perl_vendorlib}/auto/esmith
%dir %{perl_vendorlib}/auto
%doc %{_mandir}/man3/esmith::PasswordTools.3pm*
%doc Changes README
